import React, { useState } from 'react'
import { Table, Form, Icon, Input, Button  } from 'antd'

function body(props) {
  // eslint-disable-next-line react-hooks/rules-of-hooks
  const [dataSource, setDataSource] = useState({ records: [] })

  /**
   * 提交
   * @param e
   */
  function handleSubmit(e) {
    e.preventDefault();
    props.form.validateFields((err, values) => {
      if (!err) {
        console.log('Received values of form: ', values);
      }
    });
  }

  /**
   * 翻页
   * @param page
   * @param pageSize
   */
  function onPageNum(page, pageSize) {
    console.log(page, pageSize)
  }

  /**
   * 重置
   */
  function handleReset(e) {
    props.form.resetFields();
  }

  const columns = [
    {
      title: '姓名',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '手机号',
      dataIndex: 'phone',
      key: 'phone',
    },
    {
      title: '提交时间',
      dataIndex: 'createDate',
      key: 'createDate',
    },
    {
      title: '状态',
      dataIndex: 'status',
      key: 'status',
    },
    {
      title: '操作',
      dataIndex: 'documentVerifyId',
      key: 'documentVerifyId',
    },
  ]

  const { getFieldDecorator, getFieldsError, getFieldError, isFieldTouched } = props.form;
  return (
    <>
      <Form layout="inline" onSubmit={handleSubmit}>
        <Form.Item>
          {getFieldDecorator('username')(
            <Input
              placeholder="用户名"
            />,
          )}
        </Form.Item>
        <Form.Item>
          {getFieldDecorator('phone')(
            <Input
              placeholder="手机号"
            />,
          )}
        </Form.Item>
        <Form.Item>
          <Button type="primary" htmlType="submit">
            查询
          </Button>
          &nbsp;&nbsp;&nbsp;&nbsp;
          <Button onClick={(e) => handleReset(e)}>
            清空
          </Button>
        </Form.Item>
      </Form>
      <Table dataSource={dataSource.records} pagination={{ total: dataSource.total, pageSize: dataSource.pageSize, onChange: (page, pageSize) => onPageNum(page, pageSize), defaultCurrent: 1 }} columns={columns} />
    </>
  )
}

const WrappedbodyForm = Form.create({ name: 'body' })(body)
export default WrappedbodyForm
